<?php

/**
 * Controller is the customized base controller class.
 * All controller classes for this application should extend from this base class.
 */
class Controller extends CController {

    /**
     * @var string the default layout for the controller view. Defaults to '//layouts/column1',
     * meaning using a single column layout. See 'protected/views/layouts/column1.php'.
     */
    public $layout = '//layouts/column1';
    /**
     * @var array context menu items. This property will be assigned to {@link CMenu::items}.
     */
    public $menu = array();
    /**
     * @var array the breadcrumbs of the current page. The value of this property will
     * be assigned to {@link CBreadcrumbs::links}. Please refer to {@link CBreadcrumbs::links}
     * for more details on how to specify this property.
     */
    public $breadcrumbs = array();

    public function init() {
	Yii::app()->session['lang'] = "en";
	return parent::init();
    }

    /**
     * @return string the page title. Defaults to the controller name and the action name.
     */
    public function getPageTitle() {

	$name = ucfirst(basename($this->getId()));
	if (strpos($name, 'Cca') !== false)
	    $name = str_replace('Cca', 'CCA', $name);
	if (strpos($name, 'Tid') !== false)
	    $name = str_replace('Tid', 'TID', $name);
	if (strpos($name, 'TiType') !== false)
	    $name = str_replace('TiType', 'TI Type', $name);
	if (strpos($name, 'RenewalStage') !== false)
	    $name = str_replace('RenewalStage', 'Processing Stage', $name);

	$name = TidansActiveRecord::ConvertCamelCasetoSpaces($name);
	
	if ($this->getAction() !== null && strcasecmp($this->getAction()->getId(), $this->defaultAction))
	    return Yii::app()->name . ' - ' . ucfirst($this->getAction()->getId()) . ' ' . $name;
	else
	    return Yii::app()->name . ' - ' . $name;
    }

}